Summary   	: The GNU Bourne Again shell (bash).
Name	  	: bash
Version	  	: 3.0
Release	  	: 6.0.0.%{_hhl_build_id}
Source	  	: bash_%{version}.orig.tar.gz
Source2		: bash_profile
Source3		: bashrc
Source4		: bash_logout
Patch	  	: bash_%{version}-15.diff.gz
# If this package is moved forward you _MUST_ edit 
# this mvl-cross-signal-*-*.patch name as it contains
# the bash version and patch number!
Patch1		: bash-dpatch.diff
Patch2		: mvl-cross-signal-3.0-15.patch
Patch3		: bash-3.0-gcc3.4.diff
Patch4          : bash-size.diff
Patch5		: bash-info-install.patch
Patch6		: bash-uclibc.diff
Patch7		: bash-termination.patch
License 	: GPL
Group	  	: base
Buildroot 	: %{_tmppath}/%{name}-target-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
Requires	: mvlutils
Provides	: /bin/sh
#
#	SRPM
#

Obsoletes : hhl-target-bash
Obsoletes : hhl-%{_hhl_target_arch}-bash

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

#
#	RPM
#

%prep
%target_check
%setup -q -n bash-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%if "%{_mvl_uclibc}" == "yes"
%patch6 -p1
%endif
%patch7 -p1
patches="\
        bash30-001 \
        bash30-002 \
        bash30-003 \
        bash30-004 \
        bash30-005 \
        bash30-006 \
        bash30-007 \
        bash30-008 \
        bash30-009 \
        bash30-010 \
        bash30-011 \
        bash30-012 \
        bash30-013 \
        bash30-014 \
        bash30-015 \
        bash30-016 \
        wcontinued \
        rl-del-backspace-policy \
        rl-examples \
        rl-inputrc \
        rl-setenv \
        rl-display \
        rl-self-insert \
        bashbug-editor \
        deb-bash-config \
        deb-examples \
        man-arithmetic \
        man-fignore \
        man-bashrc \
        man-bashlogout \
        man-substring-exp \
        man-nocaseglob \
        man-cdpath \
        man-test \
        man-test2 \
        privmode \
        rbash-manpage \
        histtimeformat \
        command-not-found \
        update-multibyte-ifs \
        speling \
        bad-interp \
"

for p in $patches; do
  chmod u+x debian/patches/$p.dpatch
  debian/patches/$p.dpatch -patch -d `pwd`
done


%build
%target_setup
%target_acplatvars
export AUTOCONF=autoconf-2.59
export ac_cv_func_getpgrp_void='yes'
export ac_cv_func_setvbuf_reversed='no'
export ac_cv_sys_restartable_syscalls='yes'
export bash_cv_sys_siglist='yes'
export bash_cv_under_sys_siglist='yes'
export bash_cv_ulimit_maxfds='yes'
export bash_cv_func_sigsetjmp='present'
export bash_cv_job_control_missing='present'
export bash_cv_sys_named_pipes='present'
export cross_compiling='yes'
export bash_cv_have_mbstate_t=yes
$AUTOCONF

%target_configure

../support/mkversion.sh -b -d %{version} -p 0 -o newversion.h
mv newversion.h version.h

# Provide target <bits/signum.h> for mksignames.  Note that this will
# end up using the host numbers instead of the target numbers if you rebuild
# on a host where <signal.h> does not include <bits/signum.h>.

mkdir tmp-inc
mkdir tmp-inc/bits
cp %{_hhl_cross_target_dir}%{_hhl_target_include_dir}/bits/signum.h \
	tmp-inc/bits/signum.h
#  add  bash size format
%make CC="$CC -g" "CFLAGS_FOR_CROSS=-Itmp-inc" SIZE="%{_hhl_target_toolprefix}size"

%install
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}
%target_setup

%target_makeinstall bindir=%{buildroot}%{_hhl_cross_target_dir}/bin SIZE="%{_hhl_target_toolprefix}size"
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/
mv %{buildroot}%{_hhl_cross_target_dir}/bin/bashbug %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/
#  add for  bash size format
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_pmldir}/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}

install -d  %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel
install %{SOURCE2} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel/.bash_profile
install %{SOURCE3} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel/.bashrc
install %{SOURCE4} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel/.bash_logout
cd ..
cp COPYING LICENSE

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
rm -f  %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/dir
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*

%clean
rm -rf %{buildroot}

%post -n bash
%target_script_prefix_setup

# Register the shell
(%{_hhl_target_toolprefix}shellconfig --add /bin/bash 1) &> /dev/null || echo "Unable to register shell"

%preun -n bash
if [ "$1" = 0 ]; then
	
%target_script_prefix_setup
# Unregister the shell
(%{_hhl_target_toolprefix}shellconfig --del /bin/bash) &> /dev/null || echo "Unable to unregister shell"

fi

%files -n bash
%defattr(-,root,root)
%{_hhl_cross_target_dir}/bin/bash
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/bashbug
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel/.bash_profile
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel/.bashrc
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/skel/.bash_logout
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/bash.info.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/bash.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/bashbug.1.gz
%{_hhl_cross_target_dir}%{_hhl_target_sharedstate_dir}/locale

%doc LICENSE


%changelog
* Wed Aug 17 2005 Yi Yang <yyang@ch.mvista.com>
- Update to 3.0-15
* Mon Apr 09 2001 Joe Green <source@mvista.com>

* Tue Feb 14 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
